For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
            • GETList Quotes
            • POSTCreate Quote
            • GETList B2B Quote Custom Shipping Methods
            • POSTSend Quote Email
            • GETList Quote Extra Fields Configs
            • GETGet Quote Details
            • PUTUpdate Quote
            • DELDelete Quote
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • PUTSelect Shipping Rate for Quote
            • DELRemove Selected Shipping Rate from Quote
            • GETGet Available Shipping Rates for Quote
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementQuotes

Export Quote PDF

POST
https://api-b2b.bigcommerce.com/api/v3/io/rfq/:quote_id/pdf-export
POST
/api/v3/io/rfq/:quote_id/pdf-export
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456/pdf-export \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "url": "https://s3-us-west-2.amazonaws.com/bundleb2b-v2.0-quote-prod/B2B_Store%3AQN1234.pdf"
6 }
7}
Creates a download link for a PDF with information on a specific quote based on the provided `quoteId`. The PDF does not use one of the buyer-facing templates that can be selected for PDFs and emails. Instead, it uses a non-configurable template that also communicates backend information, like storefront channel and line item cost margins. You can optionally update the currency information and also supply a custom exchange rate by using the `currency` array.
Was this page helpful?
Previous

Assign Quote to BigCommerce Order

Next

Select Shipping Rate for Quote

Built with

Creates a download link for a PDF with information on a specific quote based on the provided quoteId.

The PDF does not use one of the buyer-facing templates that can be selected for PDFs and emails. Instead, it uses a non-configurable template that also communicates backend information, like storefront channel and line item cost margins.

You can optionally update the currency information and also supply a custom exchange rate by using the currency array.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Request

This endpoint expects an object.
currencyobjectOptional

Response

OK
codeanyDefaults to 200
messagestringDefaults to SUCCESS
dataobject